/** @type {import('next').NextConfig} */
const nextConfig = {
    experimental: {
        serverComponentsExternalPackages: ["typeorm", "knex"],
    },
    reactStrictMode: true,
    // For port transfer
    async rewrites() {
        return[
            {
                source:'/api/:path*',
                destination: 'http://localhost:8080/api/:path*',
            },
        ];
    },
};

export default nextConfig;
